DROP TABLE adherents;
CREATE TABLE adherents (
  id_adh int(10) unsigned NOT NULL auto_increment,
  id_statut int(10) unsigned NOT NULL default '4',
  nom_adh varchar(20) NOT NULL default '',
  prenom_adh varchar(20) default NULL,
  pseudo_adh varchar(20) default NULL,
  titre_adh tinyint(3) unsigned NOT NULL default '0',
  ddn_adh date default NULL,
  adresse_adh varchar(150) NOT NULL default '',
  cp_adh varchar(10) NOT NULL default '',
  ville_adh varchar(50) NOT NULL default '',
  tel_adh varchar(20) default NULL,
  gsm_adh varchar(20) default NULL,
  email_adh varchar(150) default NULL,
  url_adh varchar(200) default NULL,
  icq_adh varchar(20) default NULL,
  msn_adh varchar(150) default NULL,
  info_adh text,
  prof_adh varchar(150) default NULL,
  login_adh varchar(20) NOT NULL default '',
  mdp_adh varchar(20) NOT NULL default '',
  date_crea_adh date NOT NULL default '0000-00-00',
  activite_adh enum('0','1') NOT NULL default '0',
  bool_admin_adh enum('1') default NULL,
  bool_exempt_adh enum('1') default NULL,
  date_echeance date default NULL,
  PRIMARY KEY  (id_adh)
) TYPE=MyISAM;

DROP TABLE cotisations;
CREATE TABLE cotisations (
  id_cotis int(10) unsigned NOT NULL auto_increment,
  id_adh int(10) unsigned NOT NULL default '0',
  id_type_cotis int(10) unsigned NOT NULL default '0',
  montant_cotis float unsigned default '0',
  info_cotis text,
  duree_mois_cotis tinyint(3) unsigned NOT NULL default '12',
  date_cotis date NOT NULL default '0000-00-00',
  PRIMARY KEY  (id_cotis)
) TYPE=MyISAM;

DROP TABLE statuts;
CREATE TABLE statuts (
  id_statut int(10) unsigned NOT NULL auto_increment,
  libelle_statut varchar(20) NOT NULL default '',
  priorite_statut tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (id_statut)
) TYPE=MyISAM;


INSERT INTO statuts VALUES (1,'Prsident',0);
INSERT INTO statuts VALUES (2,'Trsorier',1);
INSERT INTO statuts VALUES (4,'Membre actif',3);
INSERT INTO statuts VALUES (5,'Membre bienfaiteur',4);
INSERT INTO statuts VALUES (6,'Membre fondateur',5);
INSERT INTO statuts VALUES (3,'Secrtaire',2);
INSERT INTO statuts VALUES (7,'Ancien',6);
INSERT INTO statuts VALUES (8,'Personne morale',7);
INSERT INTO statuts VALUES (9,'Non membre',8);

DROP TABLE types_cotisation;
CREATE TABLE types_cotisation (
  id_type_cotis int(10) unsigned NOT NULL auto_increment,
  libelle_type_cotis varchar(30) NOT NULL default '',
  PRIMARY KEY  (id_type_cotis)
) TYPE=MyISAM;


INSERT INTO types_cotisation VALUES (1,'Cotisation annuelle normale');
INSERT INTO types_cotisation VALUES (2,'Cotisation annuelle rduite');
INSERT INTO types_cotisation VALUES (3,'Cotisation entreprise');
INSERT INTO types_cotisation VALUES (4,'Donation en nature');
INSERT INTO types_cotisation VALUES (5,'Donation pcunire');
INSERT INTO types_cotisation VALUES (6,'Partenariat');

